Subject: Re: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: Tassilo Horn <[email-masked]>
Date: Thu, 05 Jan 2017 14:01:30 +0100

Mosè Giordano <[email-masked]> writes:

Hi Mosè,

> However, I don't think it completely solves the problem I reported,
> just works around it ;-) This is more evident in multi-level mode, see
> the attached screenshot (I swear it's there this time!).

Oh, it is indeed!

> The caret is (almost always) in the wrong position, compared to the
> number it is raising.  In my opinion, the top of the caret should line
> up with the top of what it raises, see the "^{2}" in the text line
> below the equation.  Of course, something similar for the underscore.

The problem was that the face/display specs for the script chars
replaced the existing specs (math and sub/superscript), thus they were
never shrunken.  Now I prepend the spec which means that the shrinking
happens also for ^_ which are themselves part of a sub- or superscript.

Bye,
Tassilo